# Form implementation generated from reading ui file 'src/eric7/PluginManager/PluginRepositoryDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PluginRepositoryDialog(object):
    def setupUi(self, PluginRepositoryDialog):
        PluginRepositoryDialog.setObjectName("PluginRepositoryDialog")
        PluginRepositoryDialog.resize(800, 666)
        PluginRepositoryDialog.setProperty("sizeGripEnabled", True)
        self.verticalLayout = QtWidgets.QVBoxLayout(PluginRepositoryDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.repositoryList = QtWidgets.QTreeWidget(parent=PluginRepositoryDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(7)
        sizePolicy.setHeightForWidth(self.repositoryList.sizePolicy().hasHeightForWidth())
        self.repositoryList.setSizePolicy(sizePolicy)
        self.repositoryList.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.repositoryList.setAlternatingRowColors(True)
        self.repositoryList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.repositoryList.setAllColumnsShowFocus(True)
        self.repositoryList.setObjectName("repositoryList")
        self.gridLayout.addWidget(self.repositoryList, 0, 0, 1, 2)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.selectedLabel = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.selectedLabel.setText("")
        self.selectedLabel.setObjectName("selectedLabel")
        self.horizontalLayout_2.addWidget(self.selectedLabel)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.newLabel = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.newLabel.setText("")
        self.newLabel.setObjectName("newLabel")
        self.horizontalLayout_2.addWidget(self.newLabel)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.updateLocalLabel = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.updateLocalLabel.setText("")
        self.updateLocalLabel.setObjectName("updateLocalLabel")
        self.horizontalLayout_2.addWidget(self.updateLocalLabel)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem2)
        self.updateRemoteLabel = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.updateRemoteLabel.setText("")
        self.updateRemoteLabel.setObjectName("updateRemoteLabel")
        self.horizontalLayout_2.addWidget(self.updateRemoteLabel)
        self.gridLayout.addLayout(self.horizontalLayout_2, 1, 0, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.label_2.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.descriptionEdit = QtWidgets.QTextEdit(parent=PluginRepositoryDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(3)
        sizePolicy.setHeightForWidth(self.descriptionEdit.sizePolicy().hasHeightForWidth())
        self.descriptionEdit.setSizePolicy(sizePolicy)
        self.descriptionEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.descriptionEdit.setReadOnly(True)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.gridLayout.addWidget(self.descriptionEdit, 2, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.authorEdit = QtWidgets.QLineEdit(parent=PluginRepositoryDialog)
        self.authorEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.authorEdit.setReadOnly(True)
        self.authorEdit.setObjectName("authorEdit")
        self.gridLayout.addWidget(self.authorEdit, 3, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 4, 0, 1, 1)
        self.urlEdit = QtWidgets.QLineEdit(parent=PluginRepositoryDialog)
        self.urlEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.urlEdit.setReadOnly(True)
        self.urlEdit.setObjectName("urlEdit")
        self.gridLayout.addWidget(self.urlEdit, 4, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.line = QtWidgets.QFrame(parent=PluginRepositoryDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.downloadProgress = QtWidgets.QProgressBar(parent=PluginRepositoryDialog)
        self.downloadProgress.setProperty("value", 0)
        self.downloadProgress.setObjectName("downloadProgress")
        self.verticalLayout.addWidget(self.downloadProgress)
        self.statusLabel = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.statusLabel.setText("")
        self.statusLabel.setWordWrap(True)
        self.statusLabel.setObjectName("statusLabel")
        self.verticalLayout.addWidget(self.statusLabel)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_4 = QtWidgets.QLabel(parent=PluginRepositoryDialog)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout.addWidget(self.label_4)
        self.repositoryUrlEdit = QtWidgets.QLineEdit(parent=PluginRepositoryDialog)
        self.repositoryUrlEdit.setReadOnly(True)
        self.repositoryUrlEdit.setObjectName("repositoryUrlEdit")
        self.horizontalLayout.addWidget(self.repositoryUrlEdit)
        self.repositoryUrlEditButton = QtWidgets.QPushButton(parent=PluginRepositoryDialog)
        self.repositoryUrlEditButton.setCheckable(True)
        self.repositoryUrlEditButton.setObjectName("repositoryUrlEditButton")
        self.horizontalLayout.addWidget(self.repositoryUrlEditButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PluginRepositoryDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.NoButton)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(PluginRepositoryDialog)
        QtCore.QMetaObject.connectSlotsByName(PluginRepositoryDialog)
        PluginRepositoryDialog.setTabOrder(self.repositoryList, self.buttonBox)
        PluginRepositoryDialog.setTabOrder(self.buttonBox, self.repositoryUrlEdit)
        PluginRepositoryDialog.setTabOrder(self.repositoryUrlEdit, self.repositoryUrlEditButton)

    def retranslateUi(self, PluginRepositoryDialog):
        _translate = QtCore.QCoreApplication.translate
        PluginRepositoryDialog.setWindowTitle(_translate("PluginRepositoryDialog", "Plugin Repository"))
        self.repositoryList.setSortingEnabled(True)
        self.repositoryList.headerItem().setText(0, _translate("PluginRepositoryDialog", "Name"))
        self.repositoryList.headerItem().setText(1, _translate("PluginRepositoryDialog", "Version"))
        self.repositoryList.headerItem().setText(2, _translate("PluginRepositoryDialog", "Short Description"))
        self.selectedLabel.setToolTip(_translate("PluginRepositoryDialog", "Shows the number of locally updatable plug-ins available"))
        self.newLabel.setToolTip(_translate("PluginRepositoryDialog", "Shows the number of new plug-ins available"))
        self.updateLocalLabel.setToolTip(_translate("PluginRepositoryDialog", "Shows the number of locally updatable plug-ins available"))
        self.updateRemoteLabel.setToolTip(_translate("PluginRepositoryDialog", "Shows the number of remotely updatable plug-ins available"))
        self.label_2.setText(_translate("PluginRepositoryDialog", "Description:"))
        self.descriptionEdit.setToolTip(_translate("PluginRepositoryDialog", "Displays the description of the selected plugin"))
        self.label_3.setText(_translate("PluginRepositoryDialog", "Author:"))
        self.authorEdit.setToolTip(_translate("PluginRepositoryDialog", "Displays the author of the selected plugin"))
        self.label.setText(_translate("PluginRepositoryDialog", "URL:"))
        self.urlEdit.setToolTip(_translate("PluginRepositoryDialog", "Displays the download URL of the selected plugin"))
        self.downloadProgress.setToolTip(_translate("PluginRepositoryDialog", "Shows the progress of the current download"))
        self.label_4.setText(_translate("PluginRepositoryDialog", "Repository URL:"))
        self.repositoryUrlEdit.setToolTip(_translate("PluginRepositoryDialog", "Shows the repository URL"))
        self.repositoryUrlEditButton.setToolTip(_translate("PluginRepositoryDialog", "Press to edit the plugin repository URL"))
        self.repositoryUrlEditButton.setText(_translate("PluginRepositoryDialog", "Edit URL"))
